Intel® Enhanced Privacy ID SDK 2.0.0

Functions
ecdsa.h File Reference

Ecdsa interface. More...

`#include <stddef.h>`
`#include "epid/common/errors.h"`
`#include "epid/common/types.h"`
`#include "epid/common/bitsupplier.h"`

## Functions
EpidStatus | EcdsaVerifyBuffer (void const *buf, size_t buf_len, EcdsaPublicKey const *pubkey, EcdsaSignature const *sig)
| Verifies authenticity of a digital signature over a buffer. More...
EpidStatus | EcdsaSignBuffer (void const *buf, size_t buf_len, EcdsaPrivateKey const *privkey, BitSupplier rnd_func, void *rnd_param, EcdsaSignature *sig)
| Creates ECDSA signature of buffer. More...

## Detailed Description

Ecdsa interface.